Package org.eclipse.birt.core.data

# Class ExpressionParserUtility

java.lang.Object
org.eclipse.birt.core.data.ExpressionParserUtility

public class ExpressionParserUtility extends Object
This utility class is to compile expression to get a list of column expression. The returned column expression is marked as dataSetRow["name"] or dataSetRow[index]

## Constructor Summary

Constructors
Constructor
Description
`ExpressionParserUtility()`

## Method Summary

Modifier and Type
Method
Description
`static List`
`compileColumnExpression(String expression)`
compile the expression
`static List`
`compileColumnExpression(ExpressionParserUtility util, String expression, String indicator)`
compile the expression
`boolean`
`hasAggregation()`
`static boolean`
`hasAggregation(String expression)`
`boolean`
`isDirectColumnRef()`
`static boolean`
`isDirectColumnRef(String expression, String indicator)`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionParserUtility

public ExpressionParserUtility()

## Method Details

### compileColumnExpression

public static List compileColumnExpression(String expression) throws BirtException
compile the expression

Parameters:
  `expression` -
Returns:
  List contains all column reference
Throws:
  `BirtException`

### compileColumnExpression

public static List compileColumnExpression(ExpressionParserUtility util, String expression, String indicator) throws BirtException
compile the expression

Parameters:
  `expression` -
Returns:
  List contains all column reference
Throws:
  `BirtException`

### hasAggregation

public static boolean hasAggregation(String expression) throws BirtException

Returns:
Throws:
  `BirtException`

### isDirectColumnRef

public static boolean isDirectColumnRef(String expression, String indicator) throws BirtException

Throws:
  `BirtException`

### hasAggregation

public boolean hasAggregation()

### isDirectColumnRef

public boolean isDirectColumnRef()

### reset

public void reset()